<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/Base/Category/UIView+XHXRect.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_u_i_view_09_x_h_x_rect_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">UIView+XHXRect.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_u_i_view_09_x_h_x_rect_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  UIView+XHXRect.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  XHXKit</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by Leovir on 2019/4/2.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html">    8</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="category_u_i_view_07_x_h_x_rect_08.html">UIView (XHXRect)</a></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#a75a449a894797f0a898194305575b6bc">   10</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGSize size;</div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#a8c001ebce5be52d209d913ff79479e80">   11</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGPoint origin;</div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#a4dff86aee2fa7c4aa532e6365f309f30">   12</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGFloat minX;</div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#a0aed606c21cc7040ddbb4f4778b01b7b">   13</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGFloat minY;</div>
<div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#ae6ba920be9005cd681738361a55074db">   14</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGFloat maxX;</div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#a0aa1a71e5d0a754b2c989ad4b29965bc">   15</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGFloat maxY;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#a102452aeb3a94e5600d5329cfe07fb97">   17</a></span>&#160;<span class="keyword">@property</span> (nonatomic) CGFloat x;</div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#a7baea446235219eb6305623bf118fb15">   18</a></span>&#160;<span class="keyword">@property</span> (nonatomic) CGFloat y;</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#a1b88998f3abbfef44bf36bba5f6eb6b4">   19</a></span>&#160;<span class="keyword">@property</span> (nonatomic) CGFloat width;</div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#abc47fb0c60da42dd94342f81b2e88a07">   20</a></span>&#160;<span class="keyword">@property</span> (nonatomic) CGFloat height;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#a9ed160b0e53ca10814c7e4cc0d982f23">   22</a></span>&#160;<span class="keyword">@property</span> (nonatomic) CGFloat top;</div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#af7d972adadf6b630fa291c57766daa2d">   23</a></span>&#160;<span class="keyword">@property</span> (nonatomic) CGFloat bottom;</div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#ab82a610b7aa2c27471d9377bce24e70e">   24</a></span>&#160;<span class="keyword">@property</span> (nonatomic) CGFloat left;</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#a87c9a8a3010e67805508ed730b0fe940">   25</a></span>&#160;<span class="keyword">@property</span> (nonatomic) CGFloat right;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#ae5e70d211aa8948f853901f92bc18dbb">   27</a></span>&#160;<span class="keyword">@property</span> (nonatomic) CGFloat centerX;</div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#af12e1d3be568c4dfb0972da491eb6f0c">   28</a></span>&#160;<span class="keyword">@property</span> (nonatomic) CGFloat centerY;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#aa9d84ea50dd3f3819d58b25a4308be56">   30</a></span>&#160;<span class="keyword">@property</span> (nonatomic, readonly) CGFloat middleX;</div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#a725748d5c58981c05102053306ff934f">   31</a></span>&#160;<span class="keyword">@property</span> (nonatomic, readonly) CGFloat middleY;</div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="category_u_i_view_07_x_h_x_rect_08.html#af0099e7b136dab595017ec9bc2116a0c">   32</a></span>&#160;<span class="keyword">@property</span> (nonatomic, readonly) CGPoint middlePoint;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="acategory_u_i_view_07_x_h_x_rect_08_html"><div class="ttname"><a href="category_u_i_view_07_x_h_x_rect_08.html">UIView(XHXRect)</a></div><div class="ttdef"><b>Definition:</b> <a href="_u_i_view_09_x_h_x_rect_8h_source.html#l00008">UIView+XHXRect.h:8</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_778ebd26e57377eb2e4b9acfa44c059f.html">Base</a></li><li class="navelem"><a class="el" href="dir_b5f9a86406ed001a602a37423628f383.html">Category</a></li><li class="navelem"><a class="el" href="_u_i_view_09_x_h_x_rect_8h.html">UIView+XHXRect.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
